Results 1 to 5 of 5

Thread: OpenSuse 12.1 dependency problem: libhal.so.1

  1. #1
    Join Date
    Feb 2010
    Location
    Florida,USA
    Posts
    80

    Default OpenSuse 12.1 dependency problem: libhal.so.1

    I usually upgrade wine every 3 or 4 versions. This time when trying to upgrade from 1.3.31 to the latest release I'm getting a dependency problem. I searched my repos and the package doesn't seem exist.
    Code:
    Problem: nothing provides libhal.so.1()(64bit) needed by wine-1.3.35-1.1.x86_64
     Solution 1: do not install wine-1.3.35-1.1.x86_64
     Solution 2: break wine by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): c
    my repos:
    Code:
    # | Alias                            | Name             | Enabled | Refresh
    --+----------------------------------+------------------+---------+--------
    1 | Updates-for-openSUSE-11.4-11.4-0 | Updates          | Yes     | Yes    ## this is actually 12.1 
    2 | contrib                          | contrib          | Yes     | Yes    
    3 | openSuse_oss_                    | openSuse oss     | Yes     | Yes    
    4 | pacman-all_                      | pacman-all       | Yes     | Yes    
    5 | repo-non-oss                     | openSUSE-non-oss | Yes     | Yes    
    6 | wine                             | wine             | Yes     | Yes
    Code:
    3.1.0-1.2-desktop #1 SMP PREEMPT Thu Nov 3 14:45:45 UTC 2011 (187dde0) x86_64 x86_64 x86_64 GNU/Linux
    Could anyone hint on how could I solve this problem ?
    Many thanks.

  2. #2
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,130

    Default Re: OpenSuse 12.1 dependency problem: libhal.so.1

    Only use repositories built for openSuSE-12.1

    zypper lr -d

    will show which repositories you are actuall using

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: OpenSuse 12.1 dependency problem: libhal.so.1

    I'd report it to the Mailing list for build service
    I have seen quite few build errors on wine repo recently and reported them.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,130

    Default Re: OpenSuse 12.1 dependency problem: libhal.so.1

    http://download.opensuse.org/repositories/Emulators/openSUSE_12.1/x86_64/wine-1.3.33-119.1.x86_64.rpm

    might have the required feature(s)

  5. #5
    Join Date
    Feb 2010
    Location
    Florida,USA
    Posts
    80

    Default Re: OpenSuse 12.1 dependency problem: libhal.so.1

    Quote Originally Posted by eng-int View Post
    Only use repositories built for openSuSE-12.1

    zypper lr -d

    will show which repositories you are actual using
    Well you got a quick eye there bud. XD.
    You either recognized the symptoms and knew the solution or you though I was using the wrong update repo. Either way thank you, I have the latest wine now.

    I was using the wine 11.4 repo, Forgot to change it after the upgrade. Silly me.
    After switching to the 12.1 repo, wine updated without a hitch.

    Code:
    # | Alias                            | Name             | Enabled | Refresh | Priority | Type   | URI                                                                            | Service
    --+----------------------------------+------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------+--------
    1 | Updates-for-openSUSE-11.4-11.4-0 | Updates          | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/12.1/                                      |        
    2 | contrib                          | contrib          | Yes     | Yes     |  120     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Factory:/Contrib/standard/ |        
    3 | openSuse_oss_                    | openSuse oss     | Yes     | Yes     |  120     | yast2  | http://download.opensuse.org/distribution/12.1/repo/oss/                       |        
    4 | pacman-all_                      | pacman-all       | Yes     | Yes     |   90     | rpm-md | http://packman.inode.at/suse/openSUSE_12.1                                     |        
    5 | repo-non-oss                     | openSUSE-non-oss | Yes     | Yes     |  120     | yast2  | http://download.opensuse.org/distribution/12.1/repo/non-oss/                   |        
    6 | wine                             | wine             | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_11.4/       |
    caf4926
    I'd report it to the Mailing list for build service
    I have seen quite few build errors on wine repo recently and reported them.
    This time it was my fault

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •